Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358299 - CentOS 6.8 pulseaudio update breaks xmms
Summary: CentOS 6.8 pulseaudio update breaks xmms
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: alsa-plugins
Version: 6.8
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jaroslav Kysela
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 13:05 UTC by Peter Magnusson
Modified: 2017-12-06 11:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:18:21 UTC


Attachments (Terms of Use)

Description Peter Magnusson 2016-07-20 13:05:17 UTC
https://bugs.centos.org/view.php?id=10947
CentOS people told me to create it here aswell.

Summary	0010947: CentOS 6.8 pulseaudio update breaks xmms
Description	The CentOS 6.8 pulseaudio update breaks xmms.
I have xmms-1.2.11-40.el6.x86_64 installed.
If I got a playlist with mp3s the music just stops 3 seconds before the
song is actually ended. It doesnt play the next song like it should do.

If I go in to xmms prefs -> audio I/O plugins -> output plugin -> ALSA
1.2.11 output plugin and press configure -> advanced settings. There I
can change buffer time from 3000 ms to 1000 ms. Then it will stop 1
second instead of 3 seconds. I can not change it to 0 ms. The problems
seems to be somewhere here.

Steps To Reproduce	It happends even if I restart entire OS and with other playlists.

Additional Information	My workaround was to install pulseaudio that CentOS 6.7 got. That worked.

[root@sheena pulsefail]# rpm -e --nodeps alsa-plugins-pulseaudio-1.1.0-1.el6.i686 alsa-plugins-pulseaudio-1.1.0-1.el6.x86_64 pulseaudio pulseaudio-gdm-hooks pulseaudio-libs-0.9.21-24.el6.i686 pulseaudio-libs-0.9.21-24.el6.x86_64 pulseaudio-libs-glib2 pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-x11 pulseaudio-utils-0.9.21-24.el6.i686 pulseaudio-utils-0.9.21-24.el6.x86_64
[root@sheena pulsefail]# ls *rpm
alsa-plugins-pulseaudio-1.0.21-3.el6.i686.rpm
alsa-plugins-pulseaudio-1.0.21-3.el6.x86_64.rpm
pulseaudio-0.9.21-21.el6.x86_64.rpm
pulseaudio-gdm-hooks-0.9.21-21.el6.x86_64.rpm
pulseaudio-libs-0.9.21-21.el6.i686.rpm
pulseaudio-libs-0.9.21-21.el6.x86_64.rpm
pulseaudio-libs-glib2-0.9.21-21.el6.x86_64.rpm
pulseaudio-module-bluetooth-0.9.21-21.el6.x86_64.rpm
pulseaudio-module-gconf-0.9.21-21.el6.x86_64.rpm
pulseaudio-module-x11-0.9.21-21.el6.x86_64.rpm
pulseaudio-utils-0.9.21-21.el6.i686.rpm
pulseaudio-utils-0.9.21-21.el6.x86_64.rpm
[root@sheena pulsefail]# rpm -ivh *rpm

Comment 2 Wim Taymans 2016-07-20 16:19:04 UTC
hm, between 21 and 24 there are 2 completely innocent patches, 1 to remove non-existing entries in the mixer paths, another to fix the device name of the fasttrak M-audio pro device. I'll have a look if something changed in the alsa plugins.

Comment 3 Peter Magnusson 2016-07-20 20:33:42 UTC
Thanks for checking this out, switch one of them was it?

Comment 4 Wim Taymans 2016-07-22 09:20:51 UTC
Quite a bit of alsa-plugin changes? Could you see if the problem disappears when you *only* downgrade the alsa-plugins-pulseaudio back to 1.0.21-21 ?

Comment 5 Peter Magnusson 2016-07-25 19:55:06 UTC
I have now tested and its enough to just downgrade
alsa-plugins-pulseaudio-1.0.21-3.el6.x86_64.rpm to 1.0.21-21.

It doesnt change the fact that there is a problem in alsa-plugins-pulseaudio
but I found xmms-pulse-0.9.4-9.el6.x86_64.rpm that would give PulseAudio
output plugin in xmms. It doesnt have this problem.
I however prefer alsa-plugins-pulseaudio as it changes the master volume in
xmms, that isnt possible with PulseAudio output plugin. Then I can use xmms
to change the volume of anything that are using the audio.

Comment 6 Wim Taymans 2016-08-22 07:54:19 UTC
I'll check if xmms does something weird that can narrow down what change could have caused it and who's really at fault here.

Comment 7 Jaroslav Kysela 2016-08-22 07:58:45 UTC
Does aplay work correctly on your installation ? 'aplay <some_wav_file>'

Comment 8 Wim Taymans 2016-08-22 08:15:07 UTC
I can see 2 relevant changes in alsa-plugins-pulseaudio:

  1) disabled underrun handling
  2) better configuration of the prebuf parameters

To see which one it is we can revert 1) with a config option. Could you add
"handle_underrun true" to the pcm.* sections in these config files:

/usr/share/alsa/alsa.conf.d/50-pulseaudio.conf
/usr/share/alsa/alsa.conf.d/99-pulseaudio-default.conf

It should look something like this:

pcm.pulse {
    type pulse
    hint {
        show on
        description "PulseAudio Sound Server"
    }
    handle_underrun true
}

and

pcm.!default {
    type pulse
    hint {
        show on
        description "Default ALSA Output (currently PulseAudio Sound Server)"
    }
    fallback "sysdefault"
    handle_underrun true
}

Comment 9 Peter Magnusson 2016-09-21 13:50:37 UTC
Jaroslav Kysela:
Yes, aplay works fine - even aplay file1.wav file2.wav works.

Wim Taymans:
created *conf files, there was no existing files in that dir. Should it be?
alsa-plugins-pulseaudio updated from 1.0.21-3 to 1.1.0-1.
restarted xmms
killed pulseaudio so it was restarted.
problem still there, no change.

Comment 10 Wim Taymans 2016-09-22 11:23:07 UTC
(In reply to Peter Magnusson from comment #9)
> created *conf files, there was no existing files in that dir. Should it be?

No sorry, I was wrong, the conf files are in /etc/alsa/ in 6.8. Could you see if making the changes in those files improves something?

Comment 11 Peter Magnusson 2016-09-23 13:49:36 UTC
Actually it stops at -00:00 instead of 3 seconds before the end as it orginally 
did. But it still stops AND the sound is muted and I dont find the mute switch. 

restart of xmms/remove *conf/restart of pulseaudio server doesnt help.
I guess it will be gone when I reboot.

Comment 12 Jan Kurik 2017-12-06 11:18:21 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.